GET
/
stake
/
slashing
/
events
Get Slashing Events
curl --request GET \
  --url https://prv.stake.biya.io/stake/slashing/events
{
  "events": [
    {
      "validator_address": "<string>",
      "validator_moniker": "<string>",
      "event_type": "<string>",
      "amount": "<string>",
      "block_height": "<string>",
      "timestamp": "<string>"
    }
  ],
  "total_count": "<string>",
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total": "<string>",
    "total_pages": 123,
    "has_prev": true,
    "has_next": true
  }
}

Query Parameters

start_time
string

Optional: start time (RFC3339 format, e.g., "2024-01-01T00:00:00Z") If not specified, defaults to 24 hours ago

end_time
string

Optional: end time (RFC3339 format) If not specified, defaults to now

pagination.page
integer<int32>

页码,从1开始,默认1(基于页数的分页)

pagination.page_size
integer<int32>

每页大小,默认20,最大100

pagination.cursor
string

游标(基于游标的分页,用于大数据集优化,优先级高于 page) 对于区块:使用区块高度(height) 对于交易:使用交易号(tx_number)或区块高度+交易号的组合

Response

200 - application/json

OK

GetSlashingEventsResponse contains slashing events

events
object[]
total_count
string

Total count of events in the time range

pagination
object

分页响应信息